<?php
/*
	Plugin Name: Bulk menu creator
	Description: Create multiple menu items at once
	Version: 1.0
	Author: KubiQ
	Author URI: https://kubiq.sk
*/

if( ! class_exists('bulk_menu') ){
	class bulk_menu{
		var $domain = 'bulk_menu';

		public function __construct(){
			$mo = plugin_dir_path(__FILE__) . 'languages/' . get_locale() . '.mo';
			load_textdomain( $this->domain, $mo );
			add_action( 'admin_init', array( $this, 'admin_init' ) );
		}
		
		public function admin_init() {
			add_action( 'admin_enqueue_scripts', array( $this, 'admin_enqueue_scripts' ) );
			add_meta_box( 'bulk_menu_creator', __( 'Bulk menu', $this->domain ), array( $this, 'bulk_menu_box' ), 'nav-menus', 'side', 'high' );
		}
		
		public function bulk_menu_box() {
			global $_nav_menu_placeholder;
			$_nav_menu_placeholder = 0 > $_nav_menu_placeholder ? $_nav_menu_placeholder - 1 : -1; ?>
			<div id="bulk_menu_fields" class="posttypediv">
				<label>
					<?php _e( 'Menu items labels', $this->domain ) ?><br>
					<textarea id="bulk-menu-labels" style="width:100%;min-height:75px;margin-bottom:10px"></textarea>
				</label>
				<label>
					<?php _e( 'Menu items URLs', $this->domain ) ?><br>
					<textarea id="bulk-menu-urls" style="width:100%;min-height:75px;margin-bottom:10px"></textarea>
				</label>
				<button type="button" class="button-secondary right" id="process_bulk_menu_fields"><?php _e( 'Generate menu items', $this->domain ) ?></button>
				<span class="spinner"></span>
				<div style="display:none">
					<div class="tabs-panel tabs-panel-active">
						<ul class="categorychecklist form-no-clear">
							<li>
								<input type="checkbox" class="menu-item-checkbox" name="menu-item[<?php echo $_nav_menu_placeholder; ?>][menu-item-object-id]" value="-1" checked="checked">
								<input type="text" class="menu-item-type" name="menu-item[<?php echo $_nav_menu_placeholder ?>][menu-item-type]" value="custom">
								<input type="text" class="menu-item-title" name="menu-item[<?php echo $_nav_menu_placeholder ?>][menu-item-title]" value="TEST">
								<input type="text" class="menu-item-url" name="menu-item[<?php echo $_nav_menu_placeholder ?>][menu-item-url]" value="#test">
							</li>
						</ul>
					</div>
					<p class="button-controls wp-clearfix">
						<span class="add-to-menu">
							<input type="submit" class="button-secondary submit-add-to-menu right" value="<?php _e( 'Generate menu items', $this->domain ) ?>" name="add-post-type-menu-item" id="submit-bulk_menu_fields">
							<span class="spinner"></span>
						</span>
					</p>
				</div>
			</div><?php
		}
		
		public function admin_enqueue_scripts() {
			if( get_current_screen()->base != 'nav-menus' ) return;
			wp_enqueue_script( 'bulk_menu_js', plugins_url( '/js/nav-menu.min.js', __FILE__ ), array( 'jquery' ), 1 );
		}
	}
}

$bulk_menu_var = new bulk_menu();